/***************************************************************************
 *                                                                         *
 *   GALFXI.C                                                              *
 *                                                                         *
 *   Copyright (c) 1992-1996 Galacticomm, Inc.    All Rights Reserved.     *
 *                                                                         *
 *   This is the supplemental install utility for Fax/Online.              *
 *                                                                         *
 *                               - C. Robert and B. Stephens  12/23/92     *
 *                                                                         *
 ***************************************************************************/

#include "gcomm.h"
#include "excphand.h"

#define FILREV "$Revision: 1.3 $"

extern CHAR scntbl[][GVIDSCNSIZ];  /* array of screens (c/o MAKESCNS)      */
static CHAR dosscn[GVIDSCNSIZ];    /* saved DOS screen image               */

static VOID wrapup(VOID);

VOID
main(VOID)                         /* main program loop                    */
{
TRY
     initvid();
     scn2mem(dosscn,0,GVIDSCNSIZ);
     monorcol();
     cvtscn(scntbl[0]);
     explode(scntbl[0],16,2,62,21);
     proff(0,0);
     cursiz(GVIDNOCURS);
     getchc();
     wrapup();
     clsvid();
     exit(0);
EXCEPT
}

static VOID
wrapup(VOID)                       /* wrap things up before exiting        */
{
     setatr(0x07);
     printf(" ");
     locate(0,24);
     mem2scn(dosscn,0,GVIDSCNSIZ);
     cursiz(GVIDLILCURS);
}
